# $Revision: 1.13.2.2 $, $Date: 2003/04/28 12:51:53 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	Iconv
Summary:	Text::Iconv perl module
Summary(pl):	Modu perla Text::Iconv
Name:		perl-Text-Iconv
Version:	1.2
Release:	3
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a Perl interface to the iconv() codeset
conversion function, as defined by the Single UNIX Specification. For
more details see the POD documentation embedded in the file Iconv.pm,
which will also be installed as Text::Iconv(3) man page.

%description -l pl
Ten modu dostarcza interfejs Perla do funkcji iconv() konwertujcej
pomidzy kodowaniami znakw, zgodnej z Single UNIX Specification.
Wicej informacji znajduje si w manualu Text::Iconv(3).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitearch}/Text/Iconv.pm
%dir %{perl_sitearch}/auto/Text/Iconv
%{perl_sitearch}/auto/Text/Iconv/autosplit.ix
%{perl_sitearch}/auto/Text/Iconv/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Text/Iconv/*.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Text-Iconv.spec,v $
Revision 1.13.2.2  2003/04/28 12:51:53  ankry
- really rel++

Revision 1.13.2.1  2003/03/13 00:59:00  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.13  2003/02/24 20:31:58  radek
- use the __perl macro

Revision 1.12  2003/02/18 15:38:50  ankry
- massive attack: change CPAN URLs

Revision 1.11  2002/08/04 00:55:27  qboosh
- it can't be noarch!!!
- fixed perms, removed .packlist; release 2

Revision 1.10  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.9  2002/07/11 08:05:07  depesz
- new version; should work; STBR

Revision 1.8  2002/07/10 09:01:35  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.7  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.6  2002/02/25 10:34:52  depesz
cleanup; revision++

Revision 1.5  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/18 10:27:09  qboosh
- pl description, release 2

Revision 1.3  2002/02/17 17:35:10  kloczek
- adapterized and few cosmetics.

Revision 1.2  2002/02/17 17:17:11  depesz
- typo

Revision 1.1  2002/02/17 17:13:11  depesz
- initial release, STBR
